You are viewing a plain text version of this content. The canonical link for it is here.
Posted to scm@excalibur.apache.org by fa...@apache.org on 2005/03/10 23:43:19 UTC

svn commit: r157002 - in excalibur/trunk/fortress/platform: ./ src/ src/bin/ src/conf/ src/lib/ src/logs/

Author: farra
Date: Thu Mar 10 14:43:13 2005
New Revision: 157002

URL: http://svn.apache.org/viewcvs?view=rev&rev=157002
Log:
Initial commit of a 'fortress-platform'.  See README for details.  To build: run maven:dist-bin and play with the distributions

Added:
    excalibur/trunk/fortress/platform/NOTICE.txt   (with props)
    excalibur/trunk/fortress/platform/README.txt   (with props)
    excalibur/trunk/fortress/platform/maven.xml   (with props)
    excalibur/trunk/fortress/platform/src/
    excalibur/trunk/fortress/platform/src/bin/
    excalibur/trunk/fortress/platform/src/bin/fortress.bat   (with props)
    excalibur/trunk/fortress/platform/src/bin/fortress.sh   (with props)
    excalibur/trunk/fortress/platform/src/bin/wrapper   (with props)
    excalibur/trunk/fortress/platform/src/bin/wrapper.exe   (with props)
    excalibur/trunk/fortress/platform/src/conf/
    excalibur/trunk/fortress/platform/src/conf/fortress.instruments   (with props)
    excalibur/trunk/fortress/platform/src/conf/fortress.xconf   (with props)
    excalibur/trunk/fortress/platform/src/conf/fortress.xlog   (with props)
    excalibur/trunk/fortress/platform/src/conf/wrapper.conf
    excalibur/trunk/fortress/platform/src/lib/
    excalibur/trunk/fortress/platform/src/lib/libwrapper.so   (with props)
    excalibur/trunk/fortress/platform/src/lib/wrapper-3.1.2.jar   (with props)
    excalibur/trunk/fortress/platform/src/lib/wrapper.dll   (with props)
    excalibur/trunk/fortress/platform/src/logs/
Modified:
    excalibur/trunk/fortress/platform/project.xml

Added: excalibur/trunk/fortress/platform/NOTICE.txt
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/NOTICE.txt?view=auto&rev=157002
==============================================================================
--- excalibur/trunk/fortress/platform/NOTICE.txt (added)
+++ excalibur/trunk/fortress/platform/NOTICE.txt Thu Mar 10 14:43:13 2005
@@ -0,0 +1,2 @@
+   This product includes software developed by
+   The Apache Software Foundation (http://www.apache.org/).
\ No newline at end of file

Propchange: excalibur/trunk/fortress/platform/NOTICE.txt
------------------------------------------------------------------------------
    svn:executable = *

Added: excalibur/trunk/fortress/platform/README.txt
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/README.txt?view=auto&rev=157002
==============================================================================
--- excalibur/trunk/fortress/platform/README.txt (added)
+++ excalibur/trunk/fortress/platform/README.txt Thu Mar 10 14:43:13 2005
@@ -0,0 +1,24 @@
+Excalibur Fortress Platform
+
+
+At the moment this project is rather raw.  To build, you'll need a full checkout
+of the Excalibur svn repository.  Then run: maven:build-dist.  If you get warnings
+about GPG, don't worry about it.
+
+You'll find two distributables in target/distributions.  You should be able
+to unzip these anywhere and run "bin/fortress.bat console" (or bin/fortress.sh) to startup
+the simple Hello World Translator.
+
+Yeah, there's lots of work todo.  Here's a couple ideas:
+
+  1. Use a different example.  Better yet, clean up the ../examples project.
+  2. Provide some useful documentation for end users who would actually
+     download this thing
+  3. Identify "optional" libraries and put them in /lib/optional/
+  4. Move this list into some sort of xdocs/tasks or better yet JIRA
+  5. Right now we build off of maven:dist.  Maybe use some other target?
+     maven:dist creates a jar that we don't need.  Or maybe merge this
+     subproject with the examples subproject?
+     
+So..much..to..do..
+

Propchange: excalibur/trunk/fortress/platform/README.txt
------------------------------------------------------------------------------
    svn:executable = *

Added: excalibur/trunk/fortress/platform/maven.xml
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/maven.xml?view=auto&rev=157002
==============================================================================
--- excalibur/trunk/fortress/platform/maven.xml (added)
+++ excalibur/trunk/fortress/platform/maven.xml Thu Mar 10 14:43:13 2005
@@ -0,0 +1,54 @@
+<?xml version="1.0"?>
+<!-- 
+ Copyright 2005 The Apache Software Foundation
+ Licensed  under the  Apache License,  Version 2.0  (the "License");
+ you may not use  this file  except in  compliance with the License.
+ You may obtain a copy of the License at 
+ 
+   http://www.apache.org/licenses/LICENSE-2.0
+ 
+ Unless required by applicable law or agreed to in writing, software
+ distributed  under the  License is distributed on an "AS IS" BASIS,
+ WITHOUT  WARRANTIES OR CONDITIONS  OF ANY KIND, either  express  or
+ implied.
+  
+ See the License for the specific language governing permissions and
+ limitations under the License.
+-->
+<project default="test"
+    xmlns:j="jelly:core"
+    xmlns:ant="jelly:ant">
+
+   <!-- default should be dist:build-bin but that requires
+        someone to have GPG keys setup -->
+
+   <preGoal name="dist:build-bin">
+    
+      <!-- create extra distribution layout -->
+     
+      <!-- copy license and readmes -->
+      <ant:copy todir="${maven.dist.bin.assembly.dir}/docs"
+                file="${basedir}/wrapper-license.txt"/>
+      <ant:copy todir="${maven.dist.bin.assembly.dir}/docs"
+                file="${basedir}/LICENSE.txt"/>
+      <ant:copy todir="${maven.dist.bin.assembly.dir}/docs"
+                file="${basedir}/README.txt"/>                                
+
+      <!-- copy contents of src/ -->         
+     
+      <ant:copy todir="${maven.dist.bin.assembly.dir}">
+        <ant:fileset dir="${basedir}/src" /> 
+      </ant:copy>     
+     
+      <!-- add dependencies -->
+      
+      <j:forEach var="dep" items="${pom.dependencies}">
+        <ant:copy
+             toDir="${maven.dist.bin.assembly.dir}/lib"
+             file="${maven.repo.local}/${dep.artifactDirectory}/jars/${dep.artifact}"/>
+      </j:forEach>        
+                  
+   
+   </preGoal>
+    
+</project>
\ No newline at end of file

Propchange: excalibur/trunk/fortress/platform/maven.xml
------------------------------------------------------------------------------
    svn:executable = *

Modified: excalibur/trunk/fortress/platform/project.xml
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/project.xml?view=diff&r1=157001&r2=157002
==============================================================================
--- excalibur/trunk/fortress/platform/project.xml (original)
+++ excalibur/trunk/fortress/platform/project.xml Thu Mar 10 14:43:13 2005
@@ -28,7 +28,117 @@
     </description>
 
     <dependencies>
-
+        <dependency>
+            <groupId>avalon-framework</groupId>
+            <artifactId>avalon-framework-api</artifactId>
+            <version>4.1.5</version>
+        </dependency>
+        <dependency>
+            <groupId>avalon-framework</groupId>
+            <artifactId>avalon-framework-impl</artifactId>
+            <version>4.1.5</version>
+        </dependency>
+        <dependency>
+            <groupId>excalibur-fortress</groupId>
+            <artifactId>excalibur-fortress-container-api</artifactId>
+            <version>1.2</version>
+        </dependency>
+        <dependency>
+            <groupId>excalibur-fortress</groupId>
+            <artifactId>excalibur-fortress-container-impl</artifactId>
+            <version>1.2</version>
+        </dependency>        
+        <dependency>
+            <groupId>excalibur-fortress</groupId>
+            <artifactId>excalibur-fortress-meta</artifactId>
+            <version>1.2</version>
+        </dependency>
+        <dependency>
+            <groupId>excalibur-fortress</groupId>
+            <artifactId>excalibur-fortress-examples</artifactId>
+            <version>1.2</version>
+        </dependency>          
+        <dependency>
+            <groupId>avalon-logkit</groupId>
+            <artifactId>avalon-logkit</artifactId>
+            <version>2.0</version>
+        </dependency>
+        <dependency>
+            <id>commons-collections</id>
+            <version>2.1</version>
+        </dependency>
+        <dependency>
+            <id>commons-logging</id>
+            <version>1.0.4</version>
+        </dependency>        
+        <dependency>
+            <groupId>commons-beanutils</groupId>
+            <artifactId>commons-beanutils</artifactId>
+            <version>1.7.0</version>
+        </dependency>
+        <dependency>
+            <id>concurrent</id>
+            <version>1.3.1</version>
+        </dependency>
+        <dependency>
+            <groupId>excalibur-instrument</groupId>
+            <artifactId>excalibur-instrument-api</artifactId>
+            <version>1.2-dev</version>
+        </dependency>
+        <dependency>
+            <groupId>excalibur-instrument</groupId>
+            <artifactId>excalibur-instrument-mgr-api</artifactId>
+            <version>1.2-dev</version>
+        </dependency>
+        <dependency>
+            <groupId>excalibur-instrument</groupId>
+            <artifactId>excalibur-instrument-mgr-impl</artifactId>
+            <version>1.2-dev</version>
+        </dependency>
+        <dependency>
+            <groupId>d-haven-event</groupId>
+            <artifactId>d-haven-event</artifactId>
+            <version>1.0.3</version>
+        </dependency>
+        <dependency>
+            <groupId>d-haven-managed-pool</groupId>
+            <artifactId>d-haven-managed-pool</artifactId>
+            <version>1.0</version>
+        </dependency>
+        <dependency>
+            <id>bcel</id>
+            <version>5.1</version>
+        </dependency>
+        <dependency>
+            <id>excalibur-logger</id>
+            <version>1.2</version>
+        </dependency>
+        <dependency>
+            <id>excalibur-sourceresolve</id>
+            <version>2.0</version>
+        </dependency>
+        
+        <dependency>
+            <groupId>excalibur-lifecycle</groupId>
+            <artifactId>excalibur-lifecycle-api</artifactId>
+            <version>1.1.0</version>
+        </dependency>
+        
+        <dependency>
+            <groupId>excalibur-lifecycle</groupId>
+            <artifactId>excalibur-lifecycle-impl</artifactId>
+            <version>1.1.0</version>
+        </dependency>
+        <dependency>
+            <groupId>excalibur-pool</groupId>
+            <artifactId>excalibur-pool-api</artifactId>
+            <version>2.0</version>
+        </dependency>
+        <dependency>
+            <groupId>excalibur-pool</groupId>
+            <artifactId>excalibur-pool-impl</artifactId>
+            <version>2.0</version>
+        </dependency>
     </dependencies>
 
 </project>

Added: excalibur/trunk/fortress/platform/src/bin/fortress.bat
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/src/bin/fortress.bat?view=auto&rev=157002
==============================================================================
--- excalibur/trunk/fortress/platform/src/bin/fortress.bat (added)
+++ excalibur/trunk/fortress/platform/src/bin/fortress.bat Thu Mar 10 14:43:13 2005
@@ -0,0 +1,68 @@
+@echo off
+setlocal
+
+if "%OS%"=="Windows_NT" goto nt
+echo This script only works with NT-based versions of Windows.
+goto :eof
+
+:nt
+rem
+rem Find the application home.
+rem
+rem %~dp0 is name of current script under NT
+set _REALPATH=%~dp0
+set _WRAPPER_EXE=%_REALPATH%Wrapper.exe
+
+rem Find the requested command.
+for /F %%v in ('echo %1^|findstr "^console$ ^start$ ^stop$ ^restart$ ^install$ ^remove"') do call :exec set COMMAND=%%v
+
+if "%COMMAND%" == "" (
+    echo Usage: %0 { console : start : stop : restart : install : remove }
+    pause
+    goto :eof
+) else (
+    shift
+)
+
+rem
+rem Find the wrapper.conf
+rem
+:conf
+set _WRAPPER_CONF="%_REALPATH%..\conf\wrapper.conf"
+
+rem
+rem Run the application.
+rem At runtime, the current directory will be that of Wrapper.exe
+rem
+call :%COMMAND%
+if errorlevel 1 pause
+goto :eof
+
+:console
+"%_WRAPPER_EXE%" -c %_WRAPPER_CONF%
+goto :eof
+
+:start
+"%_WRAPPER_EXE%" -t %_WRAPPER_CONF%
+goto :eof
+
+:stop
+"%_WRAPPER_EXE%" -p %_WRAPPER_CONF%
+goto :eof
+
+:install
+"%_WRAPPER_EXE%" -i %_WRAPPER_CONF%
+goto :eof
+
+:remove
+"%_WRAPPER_EXE%" -r %_WRAPPER_CONF%
+goto :eof
+
+:restart
+call :stop
+call :start
+goto :eof
+
+:exec
+%*
+goto :eof

Propchange: excalibur/trunk/fortress/platform/src/bin/fortress.bat
------------------------------------------------------------------------------
    svn:executable = *

Added: excalibur/trunk/fortress/platform/src/bin/fortress.sh
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/src/bin/fortress.sh?view=auto&rev=157002
==============================================================================
--- excalibur/trunk/fortress/platform/src/bin/fortress.sh (added)
+++ excalibur/trunk/fortress/platform/src/bin/fortress.sh Thu Mar 10 14:43:13 2005
@@ -0,0 +1,351 @@
+#! /bin/sh
+
+#
+# Skeleton sh script suitable for starting and stopping 
+# wrapped Java apps on the Solaris platform. 
+#
+# Make sure that PIDFILE points to the correct location,
+# if you have changed the default location set in the 
+# wrapper configuration file.
+#
+
+#-----------------------------------------------------------------------------
+# These settings can be modified to fit the needs of your application
+
+# Application
+APP_NAME="testwrapper"
+APP_LONG_NAME="Test Wrapper Sample Application"
+
+# Wrapper
+WRAPPER_CMD="./wrapper"
+WRAPPER_CONF="../conf/wrapper.conf"
+
+# Priority at which to run the wrapper.  See "man nice" for valid priorities.
+#  nice is only used if a priority is specified.
+PRIORITY=
+
+# Location of the pid file.
+PIDDIR="."
+
+# If uncommented, causes the Wrapper to be shutdown using an anchor file.
+#  When launched with the 'start' command, it will also ignore all INT and
+#  TERM signals.
+#IGNORE_SIGNALS=true
+
+# If specified, the Wrapper will be run as the specified user when the 'start'
+#  command is passed to this script.  When running with the 'console' command
+#  the current user will be used.
+# IMPORTANT - Make sure that the user has the required privileges to write
+#  the PID file and wrapper.log files.  Failure to be able to write the log
+#  file will cause the Wrapper to exit without any way to write out an error
+#  message.
+# NOTE - This will set the user which is used to run the Wrapper as well as
+#  the JVM and is not useful in situations where a privileged resource or
+#  port needs to be allocated prior to the user being changed.
+#RUN_AS_USER=
+
+# Do not modify anything beyond this point
+#-----------------------------------------------------------------------------
+
+# Get the fully qualified path to the script
+case $0 in
+    /*)
+        SCRIPT="$0"
+        ;;
+    *)
+        PWD=`pwd`
+        SCRIPT="$PWD/$0"
+        ;;
+esac
+
+# Change spaces to ":" so the tokens can be parsed.
+SCRIPT=`echo $SCRIPT | sed -e 's; ;:;g'`
+# Get the real path to this script, resolving any symbolic links
+TOKENS=`echo $SCRIPT | sed -e 's;/; ;g'`
+REALPATH=
+for C in $TOKENS; do
+    REALPATH="$REALPATH/$C"
+    while [ -h "$REALPATH" ] ; do
+        LS="`ls -ld "$REALPATH"`"
+        LINK="`expr "$LS" : '.*-> \(.*\)$'`"
+        if expr "$LINK" : '/.*' > /dev/null; then
+            REALPATH="$LINK"
+        else
+            REALPATH="`dirname "$REALPATH"`""/$LINK"
+        fi
+    done
+done
+# Change ":" chars back to spaces.
+REALPATH=`echo $REALPATH | sed -e 's;:; ;g'`
+
+# Change the current directory to the location of the script
+cd "`dirname "$REALPATH"`"
+
+# Process ID
+ANCHORFILE="$PIDDIR/$APP_NAME.anchor"
+PIDFILE="$PIDDIR/$APP_NAME.pid"
+pid=""
+
+# Resolve the location of the 'ps' command
+PSEXE="/usr/bin/ps"
+if [ ! -x $PSEXE ]
+then
+    PSEXE="/bin/ps"
+    if [ ! -x $PSEXE ]
+    then
+        echo "Unable to locate 'ps'."
+        echo "Please report this message along with the location of the command on your system."
+        exit 1
+    fi
+fi
+
+# Build the nice clause
+if [ "X$PRIORITY" = "X" ]
+then
+    CMDNICE=""
+else
+    CMDNICE="nice -$PRIORITY"
+fi
+
+# Check the configured user
+if [ "X$RUN_AS_USER" != "X" ]
+then
+    # Resolve the location of the 'id' command
+    IDEXE="/usr/xpg4/bin/id"
+    if [ ! -x $IDEXE ]
+    then
+        IDEXE="/usr/bin/id"
+        if [ ! -x $IDEXE ]
+        then
+            echo "Unable to locate 'id'."
+            echo "Please report this message along with the location of the command on your system."
+            exit 1
+        fi
+    fi
+
+    if [ "`$IDEXE -u -n`" = "$RUN_AS_USER" ]
+    then
+        # Already running as the configured user.  Avoid password prompts by not calling su.
+        RUN_AS_USER=""
+    fi
+fi
+
+getpid() {
+    if [ -f $PIDFILE ]
+    then
+        if [ -r $PIDFILE ]
+        then
+            pid=`cat $PIDFILE`
+            if [ "X$pid" != "X" ]
+            then
+                # Verify that a process with this pid is still running.
+                pid=`$PSEXE -p $pid | grep $pid | grep -v grep | awk '{print $1}' | tail -1`
+                if [ "X$pid" = "X" ]
+                then
+                    # This is a stale pid file.
+                    rm -f $PIDFILE
+                    echo "Removed stale pid file: $PIDFILE"
+                fi
+            fi
+        else
+            echo "Cannot read $PIDFILE."
+            exit 1
+        fi
+    fi
+}
+
+testpid() {
+    pid=`$PSEXE -p $pid | grep $pid | grep -v grep | awk '{print $1}' | tail -1`
+    if [ "X$pid" = "X" ]
+    then
+        # Process is gone so remove the pid file.
+        rm -f $PIDFILE
+    fi
+}
+
+console() {
+    echo "Running $APP_LONG_NAME..."
+    getpid
+    if [ "X$pid" = "X" ]
+    then
+        if [ "X$IGNORE_SIGNALS" = "X" ]
+        then
+            exec $CMDNICE $WRAPPER_CMD $WRAPPER_CONF wrapper.pidfile=$PIDFILE
+        else
+            exec $CMDNICE $WRAPPER_CMD $WRAPPER_CONF wrapper.pidfile=$PIDFILE wrapper.anchorfile=$ANCHORFILE
+        fi
+    else
+        echo "$APP_LONG_NAME is already running."
+        exit 1
+    fi
+}
+ 
+start() {
+    echo "Starting $APP_LONG_NAME..."
+    getpid
+    if [ "X$pid" = "X" ]
+    then
+        if [ "X$IGNORE_SIGNALS" = "X" ]
+        then
+            if [ "X$RUN_AS_USER" = "X" ]
+            then
+                exec $CMDNICE $WRAPPER_CMD $WRAPPER_CONF wrapper.pidfile=$PIDFILE wrapper.daemonize=TRUE
+            else
+                su -m $RUN_AS_USER -c "exec $CMDNICE $WRAPPER_CMD $WRAPPER_CONF wrapper.pidfile=$PIDFILE wrapper.daemonize=TRUE"
+            fi
+        else
+            if [ "X$RUN_AS_USER" = "X" ]
+            then
+                exec $CMDNICE $WRAPPER_CMD $WRAPPER_CONF wrapper.pidfile=$PIDFILE wrapper.anchorfile=$ANCHORFILE wrapper.ignore_signals=TRUE wrapper.daemonize=TRUE
+            else
+                su -m $RUN_AS_USER -c "exec $CMDNICE $WRAPPER_CMD $WRAPPER_CONF wrapper.pidfile=$PIDFILE wrapper.anchorfile=$ANCHORFILE wrapper.ignore_signals=TRUE wrapper.daemonize=TRUE"
+            fi
+        fi
+    else
+        echo "$APP_LONG_NAME is already running."
+        exit 1
+    fi
+}
+ 
+stopit() {
+    echo "Stopping $APP_LONG_NAME..."
+    getpid
+    if [ "X$pid" = "X" ]
+    then
+        echo "$APP_LONG_NAME was not running."
+    else
+        if [ "X$IGNORE_SIGNALS" = "X" ]
+        then
+            # Running so try to stop it.
+            kill $pid
+            if [ $? -ne 0 ]
+            then
+                # An explanation for the failure should have been given
+                echo "Unable to stop $APP_LONG_NAME."
+                exit 1
+            fi
+        else
+            rm -f $ANCHORFILE
+            if [ -f $ANCHORFILE ]
+            then
+                # An explanation for the failure should have been given
+                echo "Unable to stop $APP_LONG_NAME."
+                exit 1
+            fi
+        fi
+
+        # We can not predict how long it will take for the wrapper to
+        #  actually stop as it depends on settings in wrapper.conf.
+        #  Loop until it does.
+        savepid=$pid
+        CNT=0
+        TOTCNT=0
+        while [ "X$pid" != "X" ]
+        do
+            # Loop for up to 5 minutes
+            if [ "$TOTCNT" -lt "300" ]
+            then
+                if [ "$CNT" -lt "5" ]
+                then
+                    CNT=`expr $CNT + 1`
+                else
+                    echo "Waiting for $APP_LONG_NAME to exit..."
+                    CNT=0
+                fi
+                TOTCNT=`expr $TOTCNT + 1`
+
+                sleep 1
+
+                testpid
+            else
+                pid=
+            fi
+        done
+
+        pid=$savepid
+        testpid
+        if [ "X$pid" != "X" ]
+        then
+            echo "Timed out waiting for $APP_LONG_NAME to exit."
+            echo "  Attempting a forced exit..."
+            kill -9 $pid
+        fi
+
+        pid=$savepid
+        testpid
+        if [ "X$pid" != "X" ]
+        then
+            echo "Failed to stop $APP_LONG_NAME."
+            exit 1
+        else
+            echo "Stopped $APP_LONG_NAME."
+        fi
+    fi
+}
+
+status() {
+    getpid
+    if [ "X$pid" = "X" ]
+    then
+        echo "$APP_LONG_NAME is not running."
+        exit 1
+    else
+        echo "$APP_LONG_NAME is running ($pid)."
+        exit 0
+    fi
+}
+
+dump() {
+    echo "Dumping $APP_LONG_NAME..."
+    getpid
+    if [ "X$pid" = "X" ]
+    then
+        echo "$APP_LONG_NAME was not running."
+
+    else
+        kill -3 $pid
+
+        if [ $? -ne 0 ]
+        then
+            echo "Failed to dump $APP_LONG_NAME."
+            exit 1
+        else
+            echo "Dumped $APP_LONG_NAME."
+        fi
+    fi
+}
+
+case "$1" in
+
+    'console')
+        console
+        ;;
+
+    'start')
+        start
+        ;;
+
+    'stop')
+        stopit
+        ;;
+
+    'restart')
+        stopit
+        start
+        ;;
+
+    'status')
+        status
+        ;;
+
+    'dump')
+        dump
+        ;;
+
+    *)
+        echo "Usage: $0 { console | start | stop | restart | status | dump }"
+        exit 1
+        ;;
+esac
+
+exit 0

Propchange: excalibur/trunk/fortress/platform/src/bin/fortress.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: excalibur/trunk/fortress/platform/src/bin/wrapper
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/src/bin/wrapper?view=auto&rev=157002
==============================================================================
Binary file - no diff available.

Propchange: excalibur/trunk/fortress/platform/src/bin/wrapper
------------------------------------------------------------------------------
    svn:executable = *

Propchange: excalibur/trunk/fortress/platform/src/bin/wrapper
------------------------------------------------------------------------------
    svn:mime-type = application/octet-stream

Added: excalibur/trunk/fortress/platform/src/bin/wrapper.exe
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/src/bin/wrapper.exe?view=auto&rev=157002
==============================================================================
Binary file - no diff available.

Propchange: excalibur/trunk/fortress/platform/src/bin/wrapper.exe
------------------------------------------------------------------------------
    svn:executable = *

Propchange: excalibur/trunk/fortress/platform/src/bin/wrapper.exe
------------------------------------------------------------------------------
    svn:mime-type = application/octet-stream

Added: excalibur/trunk/fortress/platform/src/conf/fortress.instruments
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/src/conf/fortress.instruments?view=auto&rev=157002
==============================================================================
--- excalibur/trunk/fortress/platform/src/conf/fortress.instruments (added)
+++ excalibur/trunk/fortress/platform/src/conf/fortress.instruments Thu Mar 10 14:43:13 2005
@@ -0,0 +1,32 @@
+<instrument logger="system.instrument">
+    <name>SwingContainer</name>
+    <description>Fortress SwingContainer Example</description>
+    
+    <connectors>
+        <connector class="altrmi" port="15555"/>
+    </connectors>
+    
+    <state-file interval="60000" use-compact-samples="true">
+        SwingContainer.sampledata
+    </state-file>
+    
+    <instrumentables>
+        <instrumentable name="instrument-manager" description="Instrument Manager">
+            <instrument name="active-thread-count" description="Active Thread Count">
+                <sample type="max" interval="1000" size="600" description="Maximum each second."/>
+            </instrument>
+            
+            <instrument name="total-memory" description="Total Memory">
+                <sample type="max" interval="1000" size="600" description="Maximum each second."/>
+            </instrument>
+            
+            <instrument name="free-memory" description="Free Memory">
+                <sample type="min" interval="1000" size="600" description="Minimum each second."/>
+            </instrument>
+            
+            <instrument name="memory" description="In-Use Memory">
+                <sample type="max" interval="1000" size="600" description="Maximum each second."/>
+            </instrument>
+        </instrumentable>
+    </instrumentables>
+</instrument>
\ No newline at end of file

Propchange: excalibur/trunk/fortress/platform/src/conf/fortress.instruments
------------------------------------------------------------------------------
    svn:executable = *

Added: excalibur/trunk/fortress/platform/src/conf/fortress.xconf
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/src/conf/fortress.xconf?view=auto&rev=157002
==============================================================================
--- excalibur/trunk/fortress/platform/src/conf/fortress.xconf (added)
+++ excalibur/trunk/fortress/platform/src/conf/fortress.xconf Thu Mar 10 14:43:13 2005
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="iso-8859-1" ?>
+
+<!-- Example Fortress configuration file.
+
+     This file contains sample component configurations for the Fortress 'swing'
+     example.
+ -->
+<fortress-example>
+
+  <!-- Simple translation component. This component maintains translations for a
+       given key in different languages.
+   -->
+  <translator id="translator" logger="translator">
+	<dictionary>
+	  <translation key="hello-world">
+	    <value language="Deutsch">Hallo Welt</value>
+	    <value language="English">Hello World</value>
+	    <value language="Français">Bonjour la monde</value>
+	    <value language="Indonesia">Apa kabar Dunia</value>
+	    <value language="Espanõl">Hola Mundo</value>
+	    <value language="Italiano">Ciao Mondo</value>
+	  </translation>
+	</dictionary>
+  </translator>
+
+</fortress-example>
+

Propchange: excalibur/trunk/fortress/platform/src/conf/fortress.xconf
------------------------------------------------------------------------------
    svn:executable = *

Added: excalibur/trunk/fortress/platform/src/conf/fortress.xlog
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/src/conf/fortress.xlog?view=auto&rev=157002
==============================================================================
--- excalibur/trunk/fortress/platform/src/conf/fortress.xlog (added)
+++ excalibur/trunk/fortress/platform/src/conf/fortress.xlog Thu Mar 10 14:43:13 2005
@@ -0,0 +1,28 @@
+<logkit logger="system.logkit" log-level="INFO">
+
+    <factories>
+      <factory type="stream" class="org.apache.avalon.excalibur.logger.factory.StreamTargetFactory"/>
+    </factories>
+
+    <targets>
+      <stream id="console">
+        <stream>System.out</stream>
+        <format type="extended">
+          %7.7{priority} %23.23{time:yyyy-MM-dd HH:mm:ss.SSS} [%24.24{category}] (%{context}): %{message}\n%{throwable}
+        </format>
+      </stream>
+    </targets>
+
+    <categories>
+      <!-- Log output from the default logger -->
+      <category name="" log-level="INFO">
+        <log-target id-ref="console"/>
+      </category>
+
+      <!-- Log output from the fortress system -->
+      <category name="system" log-level="INFO">
+        <log-target id-ref="console"/>
+      </category>
+    </categories>
+
+</logkit>

Propchange: excalibur/trunk/fortress/platform/src/conf/fortress.xlog
------------------------------------------------------------------------------
    svn:executable = *

Added: excalibur/trunk/fortress/platform/src/conf/wrapper.conf
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/src/conf/wrapper.conf?view=auto&rev=157002
==============================================================================
--- excalibur/trunk/fortress/platform/src/conf/wrapper.conf (added)
+++ excalibur/trunk/fortress/platform/src/conf/wrapper.conf Thu Mar 10 14:43:13 2005
@@ -0,0 +1,99 @@
+#********************************************************************
+# Fortress Wrapper Properties
+#********************************************************************
+# Java Application
+#   Alternatively, you can use $JAVA_HOME/bin/java or %JAVA_HOME%/bin/java
+#   if you have the JAVA_HOME variable set.
+#
+
+wrapper.java.command=java
+
+# Java Main class.  This class must implement the WrapperListener interface
+#  or guarantee that the WrapperManager class is initialized. See the 
+#  Integration section of the Java Service Wrapper documentation for details.
+wrapper.java.mainclass=org.tanukisoftware.wrapper.WrapperSimpleApp
+
+# Java Classpath (include wrapper.jar)  Add class path elements as
+#  needed starting from 1
+wrapper.java.classpath.1=../lib/*.jar
+
+# Java Library Path (location of Wrapper.DLL or libwrapper.so)
+wrapper.java.library.path.1=../lib
+
+# Java Additional Parameters
+#wrapper.java.additional.1=
+
+# Initial Java Heap Size (in MB)
+#wrapper.java.initmemory=3
+
+# Maximum Java Heap Size (in MB)
+#wrapper.java.maxmemory=64
+
+# Application parameters.  Add parameters as needed starting from 1
+wrapper.app.parameter.1=org.apache.avalon.fortress.examples.swing.Main
+wrapper.app.parameter.2=../conf/fortress.xconf
+wrapper.app.parameter.3=../conf/fortress.xlog
+
+#********************************************************************
+# Wrapper Logging Properties
+#********************************************************************
+# Format of output for the console.  (See docs for formats)
+wrapper.console.format=PM
+
+# Log Level for console output.  (See docs for log levels)
+wrapper.console.loglevel=INFO
+
+# Log file to use for wrapper output logging.
+wrapper.logfile=../logs/wrapper.log
+
+# Format of output for the log file.  (See docs for formats)
+wrapper.logfile.format=LPTM
+
+# Log Level for log file output.  (See docs for log levels)
+wrapper.logfile.loglevel=INFO
+
+# Maximum size that the log file will be allowed to grow to before
+#  the log is rolled. Size is specified in bytes.  The default value
+#  of 0, disables log rolling.  May abbreviate with the 'k' (kb) or
+#  'm' (mb) suffix.  For example: 10m = 10 megabytes.
+wrapper.logfile.maxsize=0
+
+# Maximum number of rolled log files which will be allowed before old
+#  files are deleted.  The default value of 0 implies no limit.
+wrapper.logfile.maxfiles=0
+
+# Log Level for sys/event log output.  (See docs for log levels)
+wrapper.syslog.loglevel=NONE
+
+#********************************************************************
+# Wrapper Windows Properties
+#********************************************************************
+# Title to use when running as a console
+wrapper.console.title=@app.long.name@
+
+#********************************************************************
+# Wrapper Windows NT/2000/XP Service Properties
+#********************************************************************
+# WARNING - Do not modify any of these properties when an application
+#  using this configuration file has been installed as a service.
+#  Please uninstall the service before modifying this section.  The
+#  service can then be reinstalled.
+
+# Name of the service
+wrapper.ntservice.name=@app.name@
+
+# Display name of the service
+wrapper.ntservice.displayname=@app.long.name@
+
+# Description of the service
+wrapper.ntservice.description=@app.description@
+
+# Service dependencies.  Add dependencies as needed starting from 1
+wrapper.ntservice.dependency.1=
+
+# Mode in which the service is installed.  AUTO_START or DEMAND_START
+wrapper.ntservice.starttype=AUTO_START
+
+# Allow the service to interact with the desktop.
+wrapper.ntservice.interactive=false
+

Added: excalibur/trunk/fortress/platform/src/lib/libwrapper.so
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/src/lib/libwrapper.so?view=auto&rev=157002
==============================================================================
Binary file - no diff available.

Propchange: excalibur/trunk/fortress/platform/src/lib/libwrapper.so
------------------------------------------------------------------------------
    svn:executable = *

Propchange: excalibur/trunk/fortress/platform/src/lib/libwrapper.so
------------------------------------------------------------------------------
    svn:mime-type = application/octet-stream

Added: excalibur/trunk/fortress/platform/src/lib/wrapper-3.1.2.jar
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/src/lib/wrapper-3.1.2.jar?view=auto&rev=157002
==============================================================================
Binary file - no diff available.

Propchange: excalibur/trunk/fortress/platform/src/lib/wrapper-3.1.2.jar
------------------------------------------------------------------------------
    svn:mime-type = application/octet-stream

Added: excalibur/trunk/fortress/platform/src/lib/wrapper.dll
URL: http://svn.apache.org/viewcvs/excalibur/trunk/fortress/platform/src/lib/wrapper.dll?view=auto&rev=157002
==============================================================================
Binary file - no diff available.

Propchange: excalibur/trunk/fortress/platform/src/lib/wrapper.dll
------------------------------------------------------------------------------
    svn:mime-type = application/octet-stream



---------------------------------------------------------------------
To unsubscribe, e-mail: scm-unsubscribe@excalibur.apache.org
For additional commands, e-mail: scm-help@excalibur.apache.org